Package org.apache.sysds.runtime.compress.utils

# Class DoubleIntListHashMap

java.lang.Object
org.apache.sysds.runtime.compress.utils.DoubleIntListHashMap

public class DoubleIntListHashMap extends Object
This class provides a memory-efficient replacement for `HashMap<Double,IntArrayList>` for restricted use cases.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`DoubleIntListHashMap.DIListEntry`

## Field Summary

Fields
Modifier and Type
Field
Description
`static int`
`hashMissCount`

## Constructor Summary

Constructors
Constructor
Description
`DoubleIntListHashMap()`
`DoubleIntListHashMap(int init_capacity)`

## Method Summary

Modifier and Type
Method
Description
`void`
`appendValue(double key, int value)`
Append value into the hashmap, but ignore all zero keys.
`ArrayList<DoubleIntListHashMap.DIListEntry>`
`extractValues()`
`IntArrayList`
`get(double key)`
`int`
`size()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### hashMissCount

public static int hashMissCount

## Constructor Details

### DoubleIntListHashMap

public DoubleIntListHashMap()

### DoubleIntListHashMap

public DoubleIntListHashMap(int init_capacity)

## Method Details

### size

public int size()

### get

public IntArrayList get(double key)

### appendValue

public void appendValue(double key, int value)
Append value into the hashmap, but ignore all zero keys.

Parameters:
  `key` - The key to add the value to
  `value` - The value to add

### extractValues

public ArrayList<DoubleIntListHashMap.DIListEntry> extractValues()

### toString

public String toString()

Overrides:
  `toString` in class `Object`